using System;
using System.Collections;
using CustomObjectDataBinding.Entities;

namespace CustomObjectDataBinding
{
	/// <summary>
	/// Summary description for DataStore.
	/// </summary>
	sealed public class DataStore
	{
		private DataStore()
		{
		}

		public static IList GetContractList()
		{
			IList contracts = new ArrayList();
			for (int i = 0; i < 10; i++)
			{
				contracts.Add(new Contract(i, "Contract " + i.ToString(), new Customer()));
			}
			return contracts;
		}

		public static IList GetCustomerList()
		{
			IList customers = new ArrayList();
			customers.Add(new Customer(0, "Terrell", "Owens"));
			customers.Add(new Customer(1, "Marvin", "Harrison"));
			customers.Add(new GoodCustomer(2, "Torry", "Holt"));
			customers.Add(new GoodCustomer(3, "Larry", "Fitzgerald"));
			return customers;
		}

	}
}