using System;
using System.Collections; 

namespace CustomObjectDataBinding.Entities
{
	/// <summary>
	/// Summary description for Customer.
	/// </summary>
	public class Customer:IConvertible
	{
		public Customer()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public Customer(int id, string first, string last)
		{
			this.id = id;
			this.first = first;
			this.last = last;
		}

		private int id;
		public int ID
		{
			get {return id;}
			set {id = value;}
		}

		private string first;
		public string First
		{
			get {return first;}
			set {first = value;}
		}

		private string last;
		public string Last
		{
			get {return last;}
			set {last = value;}
		}

		public string FullName
		{
			get {return first + " " + last;}
		}
		#region IConvertible Members

		public string ToString(IFormatProvider provider)
		{
			//For Disply the Full name in the DropDownList...
			return this.FullName;
		}

		public object ToType(Type conversionType, IFormatProvider provider)
		{
			if( conversionType == typeof(GoodCustomer))
			{
				return new GoodCustomer(this.ID,this.First,this.Last) ;;
			}
			return null;
		}

		#endregion

		#region DefaultIConvertible Members

		public ulong ToUInt64(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToUInt64 implementation
			return 0;
		}

		public sbyte ToSByte(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToSByte implementation
			return 0;
		}

		public double ToDouble(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToDouble implementation
			return 0;
		}

		public DateTime ToDateTime(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToDateTime implementation
			return new DateTime ();
		}

		public float ToSingle(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToSingle implementation
			return 0;
		}

		public bool ToBoolean(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToBoolean implementation
			return false;
		}

		public int ToInt32(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToInt32 implementation
			return 0;
		}

		public ushort ToUInt16(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToUInt16 implementation
			return 0;
		}

		public short ToInt16(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToInt16 implementation
			return 0;
		}

		

		public byte ToByte(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToByte implementation
			return 0;
		}

		public char ToChar(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToChar implementation
			return '\0';
		}

		public long ToInt64(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToInt64 implementation
			return 0;
		}

		public System.TypeCode GetTypeCode()
		{
			// TODO:  Add Customer.GetTypeCode implementation
			return new System.TypeCode ();
		}

		public decimal ToDecimal(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToDecimal implementation
			return 0;
		}

		public uint ToUInt32(IFormatProvider provider)
		{
			// TODO:  Add Customer.ToUInt32 implementation
			return 0;
		}

		#endregion
	}
}
